forum d'entraide Sketchup Artlantis Archicad et bien d'autres
Bonjour sunny

Bonjour et bienvenue sur biblio3d, forum destiné à l'entraide concernant plus particulièrement les logiciels

SKETCHUP - ARTLANTIS - ARCHICAD - PIRANESI
Basketball

Attention : concernant les nouveaux venus, l'inscription est obligatoire pour accéder à la totalité du forum. Après inscription, veuillez vous présenter dans la section adéquate. Nous serons ravis de vous souhaiter la bienvenue dans la communauté ! sourire
Galerie


format r.b Empty
addthis
Derniers sujets
» [AUTRES LOGICIELS] Moi3D 4.0 - 64 bits Mac / PC 26 Février 2019
par Pilou Aujourd'hui à 2:18

» [ SKETCHUP composants dynamiques ] recherche d'un texte dans un autre texte
par tenrev Hier à 15:07

» [ CINEMA4D ] Gelée de Tetris
par chapichapo Hier à 15:06

» [ AUTRES LOGICIELS ]Adobe va arrêter Fuse, son logiciel gratuit de génération de personnages en 3D
par tenrev Hier à 9:55

» [ ARTLANTIS ] AVIS sur images
par AK40Cess Hier à 6:41

» [ WIP ]Mon petit labo...by ogi
par ogi Jeu 19 Sep 2019 - 16:05

» [ ARTLANTIS ] Création de billboards
par AK40Cess Mer 18 Sep 2019 - 17:08

» [ SKETCHUP généralité ] Mauvaise surprise...
par youyou40 Mar 17 Sep 2019 - 14:32

» [AUTRES LOGICIELS] Rocket 3F
par Pilou Mar 17 Sep 2019 - 1:25

» [AUTRES LOGICIELS] MagicaVoxel!
par Pilou Mar 17 Sep 2019 - 0:00

» [ SKETCHUP plugins ] Fredo et les pentes en Couleurs!
par Pilou Ven 13 Sep 2019 - 11:02

» [ PRESENTATION ] Bonjour d'un petit jeune
par cestquoiladresse Jeu 12 Sep 2019 - 14:44

» [ ARCHICAD ] Tubage (forme)
par Coulou Jeu 12 Sep 2019 - 11:19

» [ ARTLANTIS ] Félicitations et merci Abvent
par Fred0079 Jeu 12 Sep 2019 - 10:05

» [ AUTRES LOGICIELS ] Verve sous le sapin de Noël!
par Pilou Mer 11 Sep 2019 - 19:44

» [ TWINMOTION ] premiere impression!!!
par tariq73 Mer 11 Sep 2019 - 19:00

» [ TWINMOTION ] Tuto : faire ses arbres!
par simjoubert Mer 11 Sep 2019 - 18:16

» [ ARCHICAD-IMPORT/EXPORT ] Ouvrir un fichier Revit (.rvt) sur Archicad
par cestquoiladresse Mer 11 Sep 2019 - 10:03

» [ SKETCHUP tutos ] Faire un proxy dans Sketchup pour Enscape
par ogi Mar 10 Sep 2019 - 23:50

» [ UNREAL ENGINE ] nouvelle mise à jour 4.23
par Coulou Mar 10 Sep 2019 - 17:03

» [ PRESENTATION ] bonjour d'un debutant accro a sketchup
par tenrev Mar 10 Sep 2019 - 13:55

» [ SKETCHUP plugins ] Les fondations
par rascal Lun 9 Sep 2019 - 15:55

» [ SKETCHUP ] Enscape rendu temps réel
par odrik Dim 8 Sep 2019 - 22:04

» [ MATOS INFORM. ] sortie du Raspberry Pi 4B/4GB
par tenrev Dim 8 Sep 2019 - 16:01

» [ ARCHICAD ] [TUTO] Créer une rampe avec l'outil escalier
par thomasroisin Dim 8 Sep 2019 - 0:27

biblio3d
biblio3d sur facebook
biblio3d sur Linkedin
pinterest
upload



Uploader ici vos fichiers
à partager sur le forum

livre doh Sketchup


format r.b

Aller en bas

format r.b Empty format r.b

Message par william bilcot le Dim 26 Sep 2010 - 20:47

salut a tout le monde.

je cherche un programme pour lire un scrip r.b.
pour installer un plugin sketchup.

merci.

#-----------------------------------------------------------------------------
# polar_zonohedron v 1.0
# Copyright 2010, Rob Bell
# author: Rob Bell
#
# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided the above
# copyright notice appear in all copies
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------


require "sketchup.rb"

include Math

def polar_zonohedron #frequency, pitch = atan(sqrt(2)/2), len = 1.0 # frequency,pitch,length


mo = Sketchup.active_model
mo.start_operation $exStrings.GetString("polar_zonohedron")


prompts = [$exStrings.GetString("Frequency"), $exStrings.GetString("Pitch in radians"), $exStrings.GetString("Length")]
values = [8, "atan( sqrt(2)/2 )", 12.inch]
results = inputbox prompts, values, $exStrings.GetString("Polar Zonohedron")

return if not results # This means that the user canceld the operation

frequency = results[0]
pitch = eval( results[1] )
len = results[2]


ents = mo.active_entities
grp = ents.add_group
ents = grp.entities

pts=[]

#we begin by setting pts[0] to the origin
pts[0] = Geom::Point3d.new(0,0,0)

vector = Geom::Vector3d.new(cos(pitch),0,sin(pitch) ) #tilt pitch vector up the xz plane
vector.length = len

#Using the origin as the initial generator we iterate thru each zone of the zonohedron
#our first task is to define the four points of the base rhomb for this zone
#at the end the pts[3] becomes our new origin for the rhomb of the next zone
1.upto(frequency-1){ |i|
p_rotate = Geom::Transformation.rotation( pts[0] , Geom::Vector3d.new(0,0,1), i*2*PI/frequency )

#obtain the other three points of the rhomb face
pts[1] = pts[0].transform vector
pts[3] = pts[1].transform( p_rotate )
pts[2] = pts[3].transform( vector )

#we now have the 4 points which make this zone's base rhomb
#so we rotate around the origin frequency times making a star pattern of faces
0.upto(frequency-1){ |j|
f_rotate = Geom::Transformation.rotation( Geom::Point3d.new(0,0,0) , Geom::Vector3d.new(0,0,1), j*2*PI/frequency )
ents.add_face( pts.collect{|p| p.transform(f_rotate)} )
}

#set the origin for the rhomb of the next zone
pts[0] = pts[3]

}
mo.commit_operation
end




if( not file_loaded?("polar_zonohedron.rb") )
add_separator_to_menu("Plugins")
UI.menu("Plugins").add_item($exStrings.GetString("Polar Zonohedron")) { polar_zonohedron }
end
#-----------------------------------------------------------------------------
file_loaded("polar_zonohedron.rb")


william bilcot
william bilcot
gros posteur
gros posteur

Masculin Scorpion
Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 42
Localisation : bretagne
Emploi : charpentier

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par tenrev le Dim 26 Sep 2010 - 21:17

tu n'as pas besoin de programme spécifique il faut juste mettre ton fichier rb dans le répertoire plugin de sketchup et lors du démarrage de SU le plugin sera chargé en mémoire et sera utilisable aurevoir

mais j'ai peut être dit une connerie et pas bien compris ta question fou

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage [Vous devez être inscrit et connecté pour voir cette image]

[Vous devez être inscrit et connecté pour voir cette image]

1 PC portable MSI TITAN PRO écran 17''  win10 64 bits  intel i7 Quad core  ram 32go CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift
1 PC portable Dell avec Linux Ubuntu 18
7 Raspberry pi (3 pi zero , 3 pi 3b et un pi 4b ) avec Kodi - Raspian - Android - Retropie - et plein de projets de mini robotique
-----------------------------------------------------
Modélisation : Sketchup - Rhino - Pconplanner
Rendu : Artlantis - Keyshot - Unreal Engine - Enscape - Twinmotion
Autres : Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première et bien d'autres.... la liste est trop longue  [Vous devez être inscrit et connecté pour voir cette image]
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D

Masculin Bélier
Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 14637
Points : 23605
Age : 56
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié

https://www.biblio3d.com

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par ploum le Dim 26 Sep 2010 - 21:44

juste : .rb
pas r.b.
:icon_wink:

-------------------------------------------------------------------------------------------------------------------------
" heureux les fêlés car ils laissent passer la lumière "
[Vous devez être inscrit et connecté pour voir cette image]
ploum
ploum
V.I.P.
V.I.P.

Masculin Gémeaux
Humeur : une autre question ?
Date d'inscription : 25/10/2009
Nombre de messages : 1142
Points : 1288
Age : 58
Localisation : Saint André de Cruzières, Ardèche
Emploi : menuisier, bijoux, gratte, etc.

http://g.fevre.free.fr

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par william bilcot le Mar 28 Sep 2010 - 21:20

bonsoir.

j'ai essayé de copier et coller le plungin, mais il ne veut pas ce coller dans le fichier plugin sketchup.
c'est pour cela que je vous demandé s'il fallait transformer le rb que j'ai mis sur mon premier message en ?????
aurevoir
william bilcot
william bilcot
gros posteur
gros posteur

Masculin Scorpion
Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 42
Localisation : bretagne
Emploi : charpentier

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par c.plassais le Mar 28 Sep 2010 - 21:44

Salut William,

tu le télécharges ici => [Vous devez être inscrit et connecté pour voir ce lien]
tu cliques sur "Enregister" et tu l'enregistres dans le répertoire Plugins de Sketchup (Généralement => C:\Program Files\Google\Google SketchUp 7\Plugins) et tu redémarres Sketchup

@+

Christophe
c.plassais
c.plassais
modérateur
modérateur

Masculin Gémeaux
Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2478
Age : 57
Localisation : Chambéry
Emploi : Responsable Gestion Atelier

http://bande.village.free.fr/

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par Fab le Mer 29 Sep 2010 - 8:06

Salut William, j'aime beaucoup ton avatar cela me rappelle quand je relevais des charpentes dans de veilles longères.... aurevoir

-------------------------------------------------------------------------------------------------------------------------
Dites-vous bien que dans la vie,ne pas reconnaître son talent,c'est favoriser la réussite des médiocres. [Vous devez être inscrit et connecté pour voir cette image]  :icon_wink:  :icon_wink:  
Autocad | Photoshop | Sketchup pro | The Panorama Factory | Easy Google Maps Downloader
Fab
Fab
modérateur
modérateur

Masculin Sagittaire
Humeur : Rester COOL......
Date d'inscription : 03/10/2008
Nombre de messages : 4575
Points : 4993
Age : 52
Localisation : Eure
Emploi : Dessinateur en bâtiment et génie civil

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum